This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1479003 - skopeo-containers file conflict with inn
skopeo-containers file conflict with inn
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: skopeo (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Antonio Murdaca
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 13:00 EDT by Roy A. Gilmore
Modified: 2017-10-22 07:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roy A. Gilmore 2017-08-07 13:00:22 EDT
Description of problem:
file /usr/share/man/man5/storage.conf.5.gz from install of skopeo-containers-0.1.23-2.git1bbd87f.fc26.x86_64 conflicts with file from package inn-2.6.1-5.fc26.x86_64


Version-Release number of selected component (if applicable):
skopeo-containers-0.1.23-2.git1bbd87f.fc26.x86_64


How reproducible:
Every time


Steps to Reproduce:
1. dnf --refresh distro-sync


Actual results:
Last metadata expiration check: 0:00:00 ago on Mon 07 Aug 2017 09:50:42 AM PDT.
Dependencies resolved.
====================================================================================================================================
 Package                           Arch                   Version                                     Repository               Size
====================================================================================================================================
Upgrading:
 skopeo-containers                 x86_64                 0.1.23-2.git1bbd87f.fc26                    updates                  12 k

Transaction Summary
====================================================================================================================================
Upgrade  1 Package

Total size: 12 k
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] skopeo-containers-0.1.23-2.git1bbd87f.fc26.x86_64.rpm: Already downloaded                                                
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/man/man5/storage.conf.5.gz from install of skopeo-containers-0.1.23-2.git1bbd87f.fc26.x86_64 conflicts with file from package inn-2.6.1-5.fc26.x86_64

Error Summary
-------------


Expected results:
Success


Additional info:
Comment 1 Daniel Walsh 2017-08-07 13:16:08 EDT
yuck.
Comment 2 Frank Crawford 2017-08-19 07:29:23 EDT
Is anything going to happen about this issue?
Comment 3 Daniel Walsh 2017-08-20 06:59:52 EDT
I don't really know what to do.  Renaming our man page makes it difficult to find and since the package is called containers/storage and the file is storage.conf. 

inn has been around for a thousand years, so having it change stinks.  The number of people who would install both packages on the same machine is very small.  I am going to add Matt Miller to see what he thinks should be done.
Comment 4 Matthew Miller 2017-08-20 08:48:34 EDT
How about containers-storage.conf for the man page? Or skopeo-storage.conf? (There are a zillion "systemd-blah.conf" man pages by analogy.

I think inn should not squat on such a generic name -- but really by the same token we don't want skopeo to take it, because there are plenty of other container-related things which plausibly might want to have a storage.conf.
Comment 5 Daniel Walsh 2017-08-20 12:26:03 EDT
Alright I will move to containers-storage.conf.

/etc/containers/containers-storage.conf
Comment 6 Roy A. Gilmore 2017-08-20 16:47:35 EDT
(In reply to Daniel Walsh from comment #5)
> Alright I will move to containers-storage.conf.
> 
> /etc/containers/containers-storage.conf

First off, let me apologize in advance, some of what I'm writing might seem really basic and condescending, it is not intended to be, I'm just trying to keep my thoughts organized.

I don't think it's necessary to move /etc/containers/storage.conf to /etc/containers/containers-storage.conf. There is no conflict with that filename because inn stores it's configuration file at /etc/news/storage.conf. I think it would suffice to move /usr/share/man/man5/storage.conf.5.gz to /usr/share/man/man5/containers-storage.conf.5.gz There are many configuration files that do not conflict in /etc because they are in different directories, but their man pages do conflict in the flat /usr/share/man/man5 namespace, and many of these man pages have a subsystem prefix added to them to reduce/prevent these conflicts. A few commonly used naming conventions are:

/usr/share/man/man5/subsystem-file_name.conf.5.gz (I prefer this)
/usr/share/man/man5/subsystem_file_name.conf.5.gz
/usr/share/man/man5/subsystem.file_name.conf.5.gz

Does the Fedora Packaging Guidelines provide any guidance on this issue? Shouldn't the Fedora Packaging Guidelines provide some guidance on this issue if it doesn't? Maybe a policy of always separating the packages/subsystems with hyphens, separating extensions with periods, and separating words with underscores. Similar to existing pathnames, except replace backslashs/slashs with hyphens, allowing subpackages and/or sub-subsystems in the flat man namespace (i.e /usr/share/man/man5/package-sub_package-very_long_file_name.conf.5.gz).

Regardless, both 'apropos storage.conf' and 'rpm -qd skopeo-containers' should allow someone to find the correct man page. And I feel anyone who's using "the dark side" (i.e. the command prompt) to access man pages probably already knows how to do this.

To verify this:

[rag@thor ~]$ su -c "mv /usr/share/man/man5/storage.conf.1.gz /usr/share/man/man5/containers-storage.conf.5.gz; mandb"
--- 8< --- Extraneous output removed --- 8< ---
[rag@thor ~]$ apropos storage.conf
blivet-gui (1)       - GTK tool for storage configuration
containers-storage.conf (5) - Syntax of Container Storage configuration file
coredump.conf (5)    - Core dump storage configuration files
coredump.conf.d (5)  - Core dump storage configuration files
storage.conf (5)     - Configuration file for storage manager
[rag@thor ~]$ su -c "mv /usr/share/man/man5/containers-storage.conf.5.gz /usr/share/man/man5/storage.conf.1.gz; mandb"
--- 8< --- Extraneous output removed --- 8< ---
[rag@thor ~]$ rpm -qd skopeo-containers
/usr/share/man/man5/storage.conf.1.gz

NOTE: I currently have skopeo-containers-0.1.23-1.git1bbd87f.fc26.x86_64 installed because of the file conflict between 0.1.23-2.git1bbd87f.fc26 and inn-2.6.1-5.fc26.x86_64, which is why I'm moving storage.conf.1.gz instead of storage.conf.5.gz :-).
Comment 7 Fedora Update System 2017-10-16 11:48:10 EDT
skopeo-0.1.24-4.dev.git28d4e08.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fe72dc47ae
Comment 8 Fedora Update System 2017-10-16 11:48:32 EDT
skopeo-0.1.24-4.dev.git28d4e08.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f19e8e165
Comment 9 Fedora Update System 2017-10-16 22:25:35 EDT
skopeo-0.1.24-4.dev.git28d4e08.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f19e8e165
Comment 10 Fedora Update System 2017-10-17 15:18:25 EDT
skopeo-0.1.24-6.dev.git28d4e08.fc27 docker-1.13.1-32.git790e958.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3da8ad596a
Comment 11 Fedora Update System 2017-10-17 22:21:55 EDT
skopeo-0.1.24-4.dev.git28d4e08.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fe72dc47ae
Comment 12 Fedora Update System 2017-10-18 13:21:44 EDT
docker-1.13.1-33.git790e958.fc27, skopeo-0.1.24-6.dev.git28d4e08.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3da8ad596a
Comment 13 Fedora Update System 2017-10-19 10:48:26 EDT
docker-1.13.1-35.git8fd0ebb.fc27 skopeo-0.1.24-6.dev.git28d4e08.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3da8ad596a
Comment 14 Fedora Update System 2017-10-21 15:26:06 EDT
docker-1.13.1-35.git8fd0ebb.fc27, skopeo-0.1.24-6.dev.git28d4e08.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3da8ad596a
Comment 15 Fedora Update System 2017-10-22 07:31:55 EDT
skopeo-0.1.24-7.gitdd2c3e3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cbf83e5281
Comment 16 Fedora Update System 2017-10-22 07:32:35 EDT
skopeo-0.1.24-7.gitdd2c3e3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4b15d9e3

Note You need to log in before you can comment on or make changes to this bug.